<template>
  <div class="flex-auto">
    <Component
      :is="getCurrentComponent"
      @nextStage="nextStage"
    />
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import YourHair1 from "@/components/quizzes/YourHair/YourHair1";
import YourHair2 from "@/components/quizzes/YourHair/YourHair2";
import YourHair3 from "@/components/quizzes/YourHair/YourHair3";
import YourHair4 from "@/components/quizzes/YourHair/YourHair4";
import YourHair5 from "@/components/quizzes/YourHair/YourHair5";
import YourHair6 from "@/components/quizzes/YourHair/YourHair6";

export default {
  mixins: [parentComponentMixin],
  name: "YourHair",
  data() {
    return {
      stages: {
        1: YourHair1, 2: YourHair2, 3: YourHair3,
        4: YourHair4, 5: YourHair5, 6: YourHair6
      },
      stageNumber: 1,
    }
  }
}
</script>

<style scoped>

</style>
